﻿namespace Library;

public class Employee
{
    private string _id;
    private string _code;
    private string _surname;
    private string _forename;
    private string _email;
    private string _phone;
    private string _street;
    private string _city;
    private string _postcode;
    private string _country;
    private string _department;
    private string _position;
    private EmployeeState _employeeState;
    
    public Employee(string code)
    {
        _code = code;
    }

    public string Id
    {
        get => _id;
    }

    public string Code
    {
        get => _code;
    }

    public string Surname
    {
        get => _surname;
        set => _surname = value;
    }

    public string Forename
    {
        get => _forename;
        set => _forename = value;
    }
}